Bug 24664 - Add missing *-messages-js.po
Summary: Add missing *-messages-js.po
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24662
  Show dependency treegraph
 
Reported: 2020-02-14 14:33 UTC by Bernardo Gonzalez Kriegel
Modified: 2020-03-19 02:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24664: Add missing *-messages-js.po (80.25 KB, patch)
2020-02-14 14:41 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24664: Add missing *-messages-js.po (80.31 KB, patch)
2020-02-14 14:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24664: Add missing *-messages-js.po (80.37 KB, patch)
2020-02-29 21:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2020-02-14 14:33:28 UTC
We need to add missing [lang]-messages-js.po
Comment 1 Bernardo Gonzalez Kriegel 2020-02-14 14:41:00 UTC
Created attachment 98948 [details] [review]
Bug 24664: Add missing *-messages-js.po

If you try to update some language translation files
translate script will complain of missing *-messajes-js.po
file.

This patch adds those missing files

To test:
1) Go to misc translation
2) Update some language, eg- fr-FR
Check error
/usr/bin/msgmerge: error while opening "/.../misc/translator/po/es-ES-messages-js.po" for reading: No such file or directory
3) Apply this patch
4) Repeat 2), no error message
Comment 2 Julian Maurice 2020-02-14 14:50:27 UTC
Created attachment 98956 [details] [review]
Bug 24664: Add missing *-messages-js.po

If you try to update some language translation files
translate script will complain of missing *-messajes-js.po
file.

This patch adds those missing files

To test:
1) Go to misc translation
2) Update some language, eg- fr-FR
Check error
/usr/bin/msgmerge: error while opening "/.../misc/translator/po/es-ES-messages-js.po" for reading: No such file or directory
3) Apply this patch
4) Repeat 2), no error message

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 3 Katrin Fischer 2020-02-29 21:23:49 UTC
Created attachment 99834 [details] [review]
Bug 24664: Add missing *-messages-js.po

If you try to update some language translation files
translate script will complain of missing *-messajes-js.po
file.

This patch adds those missing files

To test:
1) Go to misc translation
2) Update some language, eg- fr-FR
Check error
/usr/bin/msgmerge: error while opening "/.../misc/translator/po/es-ES-messages-js.po" for reading: No such file or directory
3) Apply this patch
4) Repeat 2), no error message

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-02-29 21:24:33 UTC
Wondering if we can improve the license text a bit here - I assume it's from Pootle or po standard?
Comment 5 Bernardo Gonzalez Kriegel 2020-02-29 23:22:39 UTC
(In reply to Katrin Fischer from comment #4)
> Wondering if we can improve the license text a bit here - I assume it's from
> Pootle or po standard?

It's from 'xgettext' command, used to create the files.
It can be changed of course, after the file is created.
Other po files does not contain initial comments, an option is to eliminate them.
But I suppose that all files must contain an initial (correct) notice.

In other bug :)
Comment 6 Martin Renvoize 2020-03-02 10:55:07 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-03-12 23:46:31 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 8 Lucas Gass 2020-03-18 16:37:02 UTC
backported to 19.05.x for 19.05.09
Comment 9 Hayley Mapley 2020-03-19 02:39:37 UTC
I cannot replicate the error message, so not backporting.
If you think this needs to be backported to 18.11.x please let me know and provide steps to replicate